#!/usr/bin/python
# -*- coding: utf-8 -*-

# Chargement de module
import random
import time

# Demande à l'utilisateur de son prénom
strPrenom = raw_input("Votre prénom : ")
print "Bonjour", strPrenom

# Initialisation du nombre à rechercher
iNbATrouver = random.randint(0,100)
bTrouve = False

print "Vous devez trouver un nombre entre 0 et 100 que j'ai caché !"
iTentative = 0

# Boucle demandant les différentes tentatives de l'utilisateur
while bTrouve==False:
	iTentative = iTentative+1
	iProposition = int(raw_input("Essai n°%d : " % iTentative))
	if iProposition==iNbATrouver:
		bTrouve=True
	elif iProposition>iNbATrouver:
		print "Trop grand !"
	else:
		print "Trop petit !"

# Réponse correcte
print "Bravo %s !"%strPrenom
print "Vous avez trouvé la réponse en %d coups" % iTentative

# Chargement des scores précédents
tScores = [];
try:
	fScore = open("score.txt", "r")
	for line in fScore:
		tScores.append(line[0:-1])
	fScore.close()
except IOError:
	# Cas d'impossibilité d'ouvrir ou de lire le fichier
	print "Création d'un nouveau fichier des meilleurs scores"

# Ajout du score de cette partie
horo = time.localtime()
strScorePartie = "%03d : %02d/%02d/%04d %02d:%02d : %s" % (iTentative, horo.tm_mday, horo.tm_mon, horo.tm_year, horo.tm_hour, horo.tm_min, strPrenom) 
tScores.append(strScorePartie)

# Tri des scores
tScores.sort()

# Affichage des scores
print "*** Meilleurs scores ***"
for line in tScores:
	print line
print "************************"

# Stockage des 5 meilleurs scores
# (ou du nombre de scores disponibles)
iNbScores = len(tScores)
iNbScores = min(5, iNbScores)
fScore = open("score.txt", "w")
for i in range(iNbScores):
	fScore.write(tScores[i])
	fScore.write("\n")
fScore.close()

# on attend que l'utilisateur tape Entrée
raw_input()
